- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CMXParser Class Reference

`#include <CMXParser.h>`

## Public Member Functions
| CMXParser (WPXInputStream *input, CDRCollector *collector)
virtual | ~CMXParser ()
bool | parseRecords (WPXInputStream *input, unsigned level=0)

## Private Member Functions
| CMXParser ()
| CMXParser (const CMXParser &)
CMXParser & | operator= (const CMXParser &)
bool | parseRecord (WPXInputStream *input, unsigned level=0)
void | readRecord (WPXString fourCC, unsigned length, WPXInputStream *input)
void | readCMXHeader (WPXInputStream *input)
void | readDisp (WPXInputStream *input, unsigned length)

## Private Attributes
WPXInputStream * | m_input
CDRCollector * | m_collector
bool | m_bigEndian
unsigned short | m_coordSize
unsigned short | m_unit
double | m_scale
double | m_xmin
double | m_xmax
double | m_ymin
double | m_ymax

## Constructor & Destructor Documentation

libcdr::CMXParser::CMXParser | ( | WPXInputStream * | input,
|  | libcdr::CDRCollector * | collector
| ) |  |
| explicit

libcdr::CMXParser::~CMXParser | ( |  | ) |
| virtual

libcdr::CMXParser::CMXParser | ( |  | ) |
| private

libcdr::CMXParser::CMXParser | ( | const CMXParser & |  | ) |
| private

## Member Function Documentation

CMXParser& libcdr::CMXParser::operator= | ( | const CMXParser & |  | ) |
| private

bool libcdr::CMXParser::parseRecord | ( | WPXInputStream * | input,
|  | unsigned | level = `0`
| ) |  |
| private

bool libcdr::CMXParser::parseRecords | ( | WPXInputStream * | input,
|  | unsigned | level = `0`
| ) |  |

Referenced by libcdr::CMXDocument::parse().

void libcdr::CMXParser::readCMXHeader | ( | WPXInputStream * | input | ) |
| private

void libcdr::CMXParser::readDisp | ( | WPXInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CMXParser::readRecord | ( | WPXString | fourCC,
|  | unsigned | length,
|  | WPXInputStream * | input
| ) |  |
| private

## Member Data Documentation

bool libcdr::CMXParser::m_bigEndian
| private

CDRCollector* libcdr::CMXParser::m_collector
| private

unsigned short libcdr::CMXParser::m_coordSize
| private

WPXInputStream* libcdr::CMXParser::m_input
| private

double libcdr::CMXParser::m_scale
| private

unsigned short libcdr::CMXParser::m_unit
| private

double libcdr::CMXParser::m_xmax
| private

double libcdr::CMXParser::m_xmin
| private

double libcdr::CMXParser::m_ymax
| private

double libcdr::CMXParser::m_ymin
| private

The documentation for this class was generated from the following files:

- CMXParser.h
- CMXParser.cpp